Loading...
Searching...
No Matches
Opm::IAPWS::Region2< Scalar > Class Template Reference

Implements the equations for region 2 of the IAPWS '97 formulation. More...

`#include <Region2.hpp>`

## Static Public Member Functions

template<class Evaluation>
static bool | isValid (const Evaluation &temperature, const Evaluation &pressure)
| Returns true if IAPWS region 2 applies for a (temperature, pressure) pair.
template<class Evaluation>
static Evaluation | tau (const Evaluation &temperature)
| Returns the reduced temperature (dimensionless) for IAPWS region 2.
template<class Evaluation>
static Evaluation | dtau_dT (const Evaluation &temperature)
| Returns the derivative of the reduced temperature to the temperature for IAPWS region 2.
template<class Evaluation>
static Evaluation | pi (const Evaluation &pressure)
| Returns the reduced pressure (dimensionless) for IAPWS region 2.
template<class Evaluation>
static Scalar | dpi_dp (const Evaluation &)
| Returns the derivative of the reduced pressure to the pressure for IAPWS region 2 in .
template<class Evaluation>
static Evaluation | dp_dpi (const Evaluation &)
| Returns the derivative of the pressure to the reduced pressure for IAPWS region 2 (dimensionless).
template<class Evaluation>
static Evaluation | gamma (const Evaluation &temperature, const Evaluation &pressure)
| The Gibbs free energy for IAPWS region 2 (i.e.
template<class Evaluation>
static Evaluation | dgamma_dtau (const Evaluation &temperature, const Evaluation &pressure)
| The partial derivative of the Gibbs free energy to the normalized temperature for IAPWS region 2 (i.e.
template<class Evaluation>
static Evaluation | dgamma_dpi (const Evaluation &temperature, const Evaluation &pressure)
| The partial derivative of the Gibbs free energy to the normalized pressure for IAPWS region 2 (i.e.
template<class Evaluation>
static Evaluation | ddgamma_dtaudpi (const Evaluation &temperature, const Evaluation &pressure)
| The partial derivative of the Gibbs free energy to the normalized pressure and to the normalized temperature for IAPWS region 2 (i.e.
template<class Evaluation>
static Evaluation | ddgamma_ddpi (const Evaluation &temperature, const Evaluation &pressure)
| The second partial derivative of the Gibbs free energy to the normalized pressure for IAPWS region 2 (i.e.
template<class Evaluation>
static Evaluation | ddgamma_ddtau (const Evaluation &temperature, const Evaluation &pressure)
| The second partial derivative of the Gibbs free energy to the normalized temperature for IAPWS region 2 (i.e.

## Detailed Description

template<class Scalar>
class Opm::IAPWS::Region2< Scalar >

Implements the equations for region 2 of the IAPWS '97 formulation.

Template Parameters

  Scalar | The type used for scalar values

See:

IAPWS: "Revised Release on the IAPWS Industrial Formulation 1997 for the Thermodynamic Properties of Water and Steam", http://www.iapws.org/relguide/IF97-Rev.pdf

## Member Function Documentation

## ddgamma_ddpi()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::IAPWS::Region2< Scalar >::ddgamma_ddpi | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

The second partial derivative of the Gibbs free energy to the normalized pressure for IAPWS region 2 (i.e.

sub-critical steam) (dimensionless).

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

IAPWS: "Revised Release on the IAPWS Industrial Formulation 1997 for the Thermodynamic Properties of Water and Steam", http://www.iapws.org/relguide/IF97-Rev.pdf

## ddgamma_ddtau()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::IAPWS::Region2< Scalar >::ddgamma_ddtau | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

The second partial derivative of the Gibbs free energy to the normalized temperature for IAPWS region 2 (i.e.

sub-critical steam) dimensionless).

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

IAPWS: "Revised Release on the IAPWS Industrial Formulation 1997 for the Thermodynamic Properties of Water and Steam", http://www.iapws.org/relguide/IF97-Rev.pdf

## ddgamma_dtaudpi()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::IAPWS::Region2< Scalar >::ddgamma_dtaudpi | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

The partial derivative of the Gibbs free energy to the normalized pressure and to the normalized temperature for IAPWS region 2 (i.e.

sub-critical steam) (dimensionless).

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

IAPWS: "Revised Release on the IAPWS Industrial Formulation 1997 for the Thermodynamic Properties of Water and Steam", http://www.iapws.org/relguide/IF97-Rev.pdf

## dgamma_dpi()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::IAPWS::Region2< Scalar >::dgamma_dpi | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

The partial derivative of the Gibbs free energy to the normalized pressure for IAPWS region 2 (i.e.

sub-critical steam) (dimensionless).

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

IAPWS: "Revised Release on the IAPWS Industrial Formulation 1997 for the Thermodynamic Properties of Water and Steam", http://www.iapws.org/relguide/IF97-Rev.pdf

## dgamma_dtau()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::IAPWS::Region2< Scalar >::dgamma_dtau | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

The partial derivative of the Gibbs free energy to the normalized temperature for IAPWS region 2 (i.e.

sub-critical steam) dimensionless).

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

IAPWS: "Revised Release on the IAPWS Industrial Formulation 1997 for the Thermodynamic Properties of Water and Steam", http://www.iapws.org/relguide/IF97-Rev.pdf

## dp_dpi()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::IAPWS::Region2< Scalar >::dp_dpi | ( | const Evaluation & |  | ) |

inline static

Returns the derivative of the pressure to the reduced pressure for IAPWS region 2 (dimensionless).

Parameters

  pressure | pressure of component in

## dpi_dp()

template<class Scalar>
template<class Evaluation>

Scalar Opm::IAPWS::Region2< Scalar >::dpi_dp | ( | const Evaluation & |  | ) |

inline static

Returns the derivative of the reduced pressure to the pressure for IAPWS region 2 in .

Parameters

  pressure | pressure of component in

## dtau_dT()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::IAPWS::Region2< Scalar >::dtau_dT | ( | const Evaluation & | temperature | ) |

inline static

Returns the derivative of the reduced temperature to the temperature for IAPWS region 2.

Parameters

  temperature | temperature of component in

## gamma()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::IAPWS::Region2< Scalar >::gamma | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

The Gibbs free energy for IAPWS region 2 (i.e.

sub-critical steam) (dimensionless).

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

IAPWS: "Revised Release on the IAPWS Industrial Formulation 1997 for the Thermodynamic Properties of Water and Steam", http://www.iapws.org/relguide/IF97-Rev.pdf

## isValid()

template<class Scalar>
template<class Evaluation>

bool Opm::IAPWS::Region2< Scalar >::isValid | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

Returns true if IAPWS region 2 applies for a (temperature, pressure) pair.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## pi()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::IAPWS::Region2< Scalar >::pi | ( | const Evaluation & | pressure | ) |

inline static

Returns the reduced pressure (dimensionless) for IAPWS region 2.

Parameters

  pressure | pressure of component in

## tau()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::IAPWS::Region2< Scalar >::tau | ( | const Evaluation & | temperature | ) |

inline static

Returns the reduced temperature (dimensionless) for IAPWS region 2.

Parameters

  temperature | temperature of component

The documentation for this class was generated from the following file:

- opm/material/components/iapws/Region2.hpp